<?php
	// set up the variables
	$conn = pg_pconnect("host=dumont user=postgres dbname=nag");

	if(!$conn)
	{
		echo pg_errormessage($conn);
		exit;
	}

	function query($sql)
	{
		global $conn;
		return pg_query($conn,$sql);
	}
?>           

<html>
<head>
	<title>hostgroup selector</title>
</head>

<body>

Select which hostgroups to report on:

<form method="get" target="main" action="serviceDetails.php">
	<select multiple size="15" width="100%" name="hostgroups[]">
		<option value="0">[no group]</option>
<?php
	$groups = query("select id,alias from hostgroup where id > 0");
	$groupCount = pg_numrows($groups);
	for($i = 0; $i < $groupCount; $i++)
	{
		$thisID = pg_result($groups,$i,0);
		$thisName = pg_result($groups,$i,1);

	
		// note that if thisName includes some HTML, that will be a problem
		echo "\t\t<option value=\"$thisID\">$thisName</option>\n";
	}
?>
	</select>
	<p>
	<input type="submit" value="generate report">
</form>

</body>
</html>
