<?php
	// set up the variables
	$conn = pg_pconnect("host=dumont user=postgres dbname=nag");

	if(!$conn)
	{
		echo pg_errormessage($conn);
		exit;
	}

	function query($sql)
	{
		global $conn;
		return pg_query($conn,$sql);
	}
?>           

<html>
<head>
	<title>service selector</title>
</head>

<body>

Select which services to report on:

<form method="get" target="main" action="serviceDetails.php">
	<select multiple size="15" width="100%" name="services[]">
<?php
	$serviceList = query("select distinct service_description from service");
	$serviceCount = pg_numrows($serviceList);
	for($i = 0; $i < $serviceCount; $i++)
	{
		$thisName = pg_result($serviceList,$i,0);

	
		// note that if thisName includes some HTML, that will be a problem
		echo "\t\t<option value=\"$thisName\">$thisName</option>\n";
	}
?>
	</select>
	<p>
	<input type="submit" value="generate report">
</form>

</body>
</html>
